Question

Odoo 13 error on selecting module


Userlevel 1

Hi

I have connected a Odoo 13 database, but when I try to select model for creating records I get this error:

Fault (code operator does not exist: integer = boolean LINE 1: SELECT COALESCE(password, '') FROM res_users WHERE id=false ^ HINT: No operator matches the given name and argument type(s). You might need to add explicit type casts. ) occurred. Message: Traceback (most recent call last): File "/odoo/odoo-server/odoo/addons/base/controllers/rpc.py", line 54, in xmlrpc_1 response = self._xmlrpc(service) File "/odoo/odoo-server/odoo/addons/base/controllers/rpc.py", line 43, in _xmlrpc result = dispatch_rpc(service, method, params) File "/odoo/odoo-server/odoo/http.py", line 138, in dispatch_rpc result = dispatch(method, params) File "/odoo/odoo-server/odoo/service/model.py", line 36, in dispatch security.check(db,uid,passwd) File "/odoo/odoo-server/odoo/service/security.py", line 16, in check return res_users.check(db, uid, passwd) File "/odoo/odoo-server/odoo/addons/base/models/res_users.py", line 668, in check self._check_credentials(passwd) File "/odoo/odoo-server/addons/auth_oauth/models/res_users.py", line 114, in _check_credentials return super(ResUsers, self)._check_credentials(password) File "/odoo/odoo-server/odoo/addons/base/models/res_users.py", line 316, in _check_credentials [self.env.user.id] File "/odoo/odoo-server/odoo/sql_db.py", line 163, in wrapper return f(self, *args, **kwargs) File "/odoo/odoo-server/odoo/sql_db.py", line 240, in execute res = self._obj.execute(query, params) psycopg2.ProgrammingError: operator does not exist: integer = boolean LINE 1: SELECT COALESCE(password, '') FROM res_users WHERE id=false ^ HINT: No operator matches the given name and argument type(s). You might need to add explicit type casts.

 

Is this related to Odoo 13?

 

Br,

Henning


13 replies

Userlevel 7
Badge +10

Hi Henning,

I see that you have an email address that contains “odoo” in it. Is this related to the dev app that exists on Zapier: https://zapier.com/apps/odoo/integrations

Or is this happening elsewhere, like when trying to connect an Odoo account in Zapier? Thanks!

Userlevel 7
Badge +10

Hi @Henning Dinsen!

Since this was a little while ago, I wanted to check in to see if you’d managed to solve this or whether you still needed help here. Please let us know!

Userlevel 1

Hi, was there any advice for resolving this issue?

 

I have a silmular error on an Odoo 11.0 CE;

 

LINE 1: ...T password, password_crypt FROM res_users WHERE id=false AND... ^ HINT: No operator matches the given name and argument type(s). You might need to add explicit type casts. ) occurred. Message: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/service/wsgi_server.py", line 124, in wsgi_xmlrpc result = odoo.http.dispatch_rpc(service, method, params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 118, in dispatch_rpc result = dispatch(method, params) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 35, in dispatch security.check(db,uid,passwd) File "/usr/lib/python3/dist-packages/odoo/service/security.py", line 13, in check return res_users.check(db, uid, passwd) File "/usr/lib/python3/dist-packages/odoo/addons/base/res/res_users.py", line 524, in check self.check_credentials(passwd) File "/mnt/extra-addons/login_user_detail/models/login_user_details.py", line 35, in check_credentials result = super(LoginUserDetail, self).check_credentials(password) File "/usr/lib/python3/dist-packages/odoo/addons/auth_crypt/models/res_users.py", line 54, in check_credentials self.env.cr.execute('SELECT password, password_crypt FROM res_users WHERE id=%s AND active', (self.env.uid,)) File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 155, in wrapper return f(self, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 232, in execute res = self._obj.execute(query, params) psycopg2.errors.UndefinedFunction: operator does not exist: integer = boolean LINE 1: ...T password, password_crypt FROM res_users WHERE id=false AND... ^ HINT: No operator matches the given name and argument type(s). You might need to add explicit type casts.

 

When trying to connect a Zapier trigger to our database.

 

Any assistance welcomed.

Userlevel 7
Badge +10

Hi @edoubloo!

This may be related to the version of Odoo that you’re using. We currently support up to version 7. Are you using something higher than that by any chance? If so, please let me know and I can add you to our feature request to support version 8+. Thanks!

Hi @nicksimard !

Currently I’m also having trouble with the integration that I’m trying to make between Salesforce and Odoo (my client Odoo version is 13).

I have the exact error message showed before.

Could you please add me to the feature request aswell ?

Thank you!

Userlevel 7
Badge +7

Hi @joao.carvalho - I have added you as an interested user for this feature request! If there is an update, you will be notified via email. 

Same problem… also interested in the feature request.

Userlevel 7
Badge +7

@wyc you have been added as well!

Same error. We have Odoo version 12.0 - community

Userlevel 7
Badge +7

@Sergio Gómez - I have added you as an interested user so that you will receive updates via email!

@Liz_Roberts Have the same error on Odoo 13 - Could you please add me to the feature request aswell ?
Best regards

Userlevel 1

Hi everyone, 

I‘ve checked several times and an error stating; 

Fault (code operator does not exist: integer = boolean LINE 1: SELECT COALESCE(password, '') 

Is a consequence of an incorrect username & password combination being used on the selected database. When an incorrect password is used, the database will return a boolean response to Zapier instead of the expected user account integer reference. 

 

Please check your usernames are case sensitive and passwords are copied exactly as used to access the database on your login page.

 

Good luck.

@edoubloo Thank you very much! You are right, it was a problem with the user/credentials.

But now I get this error message when I want to select a module. You have by any chance a solution for this, too? (Odoo 13)

Fault (code res.users.role.line) occurred. Message: Traceback (most recent call last): File "/home/alphstaging/odoo/odoo/api.py", line 745, in get value = self._data[field][record._ids[0]] KeyError: 2 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/alphstaging/odoo/odoo/fields.py", line 1002, in __get__ value = env.cache.get(record, self) File "/home/alphstaging/odoo/odoo/api.py", line 751, in get raise CacheMiss(record, field) odoo.exceptions.CacheMiss: ('ir.model(2,).inherited_model_ids', None) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/alphstaging/odoo/odoo/addons/base/controllers/rpc.py", line 60, in xmlrpc_1 response = self._xmlrpc(service) File "/home/alphstaging/odoo/odoo/addons/base/controllers/rpc.py", line 49, in _xmlrpc result = dispatch_rpc(service, method, params) File "/home/alphstaging/odoo/odoo/http.py", line 139, in dispatch_rpc result = dispatch(method, params) File "/home/alphstaging/odoo/odoo/service/model.py", line 41, in dispatch res = fn(db, uid, *params) File "/home/alphstaging/odoo/odoo/service/model.py", line 94, in wrapper return f(dbname, *args, **kwargs) File "/home/alphstaging/odoo/odoo/service/model.py", line 181, in execute res = execute_cr(cr, uid, obj, method, *args, **kw) File "/home/alphstaging/odoo/odoo/service/model.py", line 165, in execute_cr result = odoo.api.call_kw(recs, method, args, kw) File "/home/alphstaging/odoo/odoo/api.py", line 387, in call_kw result = _call_kw_multi(method, model, args, kwargs) File "/home/alphstaging/odoo/odoo/api.py", line 374, in _call_kw_multi result = method(recs, *args, **kwargs) File "/home/alphstaging/odoo/odoo/models.py", line 2918, in read vals[name] = convert(record[name], record, use_name_get) File "/home/alphstaging/odoo/odoo/models.py", line 5640, in __getitem__ return self._fields[key].__get__(self, type(self)) File "/home/alphstaging/odoo/odoo/fields.py", line 2313, in __get__ return super().__get__(records, owner) File "/home/alphstaging/odoo/odoo/fields.py", line 1026, in __get__ self.compute_value(recs) File "/home/alphstaging/odoo/odoo/fields.py", line 1111, in compute_value records._compute_field_value(self) File "/home/alphstaging/odoo/odoo/models.py", line 3939, in _compute_field_value getattr(self, field.compute)() File "/home/alphstaging/odoo/odoo/addons/base/models/ir_model.py", line 120, in _inherited_models parent_names = list(self.env[model.model]._inherits) File "/home/alphstaging/odoo/odoo/api.py", line 463, in __getitem__ return self.registry[model_name]._browse(self, (), ()) File "/home/alphstaging/odoo/odoo/modules/registry.py", line 177, in __getitem__ return self.models[model_name] KeyError: 'res.users.role.line'

Reply